cancel
Showing results for 
Search instead for 
Did you mean: 
  • ×
    Information
    Need Windows 11 help?
    Check documents and videos on compatibility, FAQs, upgrade information and available fixes.Windows 11 Support Center.
  • post a message
  • ×
    Information
    Need Windows 11 help?
    Check documents and videos on compatibility, FAQs, upgrade information and available fixes.Windows 11 Support Center.
  • post a message
fangorn
New member
1 0 0 0
Message 1 of 3
8,884

Solved!

HP LaserJet Pro M28W and Ubuntu

HP Recommended
HP LaserJet Pro M28W
Linux

Hi,

I need to purchase a multifunction printer and the HP LaserJet Pro M28W seems interesting.

Since my Linux distribution (Ubuntu 14.04 LTS) comes with the HPLIP software version 3.14.3-0ubuntu3.5 already installed, I wonder if the printer will be accepted and ready to work or will I have to upgrade the HPLIP software to a more recent version.

Also I wonder if all the functions of the printer will be working, included the scanner or I will be able to use only the printer: is HPLIP equipped with any software for using the scanner or Simple Scan from Ubuntu will do the job?

Any suggestion would be appreciated, included according to your experience more appropriated multifunction models.

1 ACCEPTED SOLUTION

Accepted Solutions
ShlomiL
Level 17
Level 17
34,000 15,227 5,708 13,597
Message 2 of 3
HP Recommended

Hi,

Hi,

3.18.4 is the minimum HPLIP version for the M28w printer, meaning you must update HPLIP to use the printer on your Linux computer.

Both printing and scanning are supported for your printer as listed below:

https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

 

You may update the HPLIP by following the instruction below:

https://developers.hp.com/hp-linux-imaging-and-printing/install/install/index

 

Shlomi



Click the Yes button to reply that the response was helpful or to say thanks.
If my post resolve your problem please mark it as an Accepted Solution 🙂

View solution in original post

2 REPLIES 2
ShlomiL
Level 17
Level 17
34,000 15,227 5,708 13,597
Message 2 of 3
HP Recommended

Hi,

Hi,

3.18.4 is the minimum HPLIP version for the M28w printer, meaning you must update HPLIP to use the printer on your Linux computer.

Both printing and scanning are supported for your printer as listed below:

https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

 

You may update the HPLIP by following the instruction below:

https://developers.hp.com/hp-linux-imaging-and-printing/install/install/index

 

Shlomi



Click the Yes button to reply that the response was helpful or to say thanks.
If my post resolve your problem please mark it as an Accepted Solution 🙂
cpb2
Level 1
1 1 0 3
Message 3 of 3
HP Recommended

Actually, that printer does NOT scan properly on linux (HPLip)

There are many post about this.  It seems to be tied to the product.

This is very disappointing. 

Warning Be alert for scammers posting fake support phone numbers and/or email addresses on the community. If you think you have received a fake HP Support message, please report it to us by clicking on "Flag Post".
† The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation